
@startuml

class Interface {
  // ...existing code...
}

class UcpComponent {
  // ...existing code...
}

class DefaultView {
  // ...existing code...
}

class PersistenceManager {
  __ private Attributes __
    -disabled: boolean
  __ Class Methods __
    +{static} get dependencies(): [Array]
    +{static} get weBeanUnitPaths(): [Array]
    +{static} get overwriteServerDescriptor(): boolean
    +{static} get eamLayer(): number
    +{static} get iorPrefix(): string
    +{static} get PMuserUUID(): string
    +{static} setStorageEvents(value: string): void
    +{static} getStorageEvents(): string
    +{static} onLocalStorageChange(key: string, oldValue: string, value: string, isLocalString: string): void
    +{static} onStorageEvent(event: Object): [string, null]
}

class DefaultPersistenceManager {
  __ Class Methods __
    +{static} get implements(): [PersistenceManager]
    +{static} get overwriteServerDescriptor(): boolean
    +{static} get dependencies(): [Array]
    +{static} get weBeanUnitPaths(): [Array]
    +{static} start(): void
    +constructor(): void
  __ Methods __
    +init(): [DefaultPersistenceManager, null]
    +createDefaultView(): PersistenceManagerDefaultView
    +save(component: UcpComponent): void
    +load(uuidString: string): Object
    +delete(uuidString: [string, UcpComponent]): [null, void]
  __ Model Attributes __
    +name: string
    +description: string
    +badge: string
    +autoUpdate: boolean
}

class PersistenceManagerDefaultView {
  __ Class Methods __
    +constructor(): void
  __ Methods __
    +init(ucpComponent: UcpComponent): PersistenceManagerDefaultView
}

PersistenceManager -up-|> Interface
DefaultPersistenceManager -up-|> UcpComponent
DefaultPersistenceManager .up.|> PersistenceManager
PersistenceManagerDefaultView -up-|> DefaultView

show Interface
show Interface members
show UcpComponent
show UcpComponent members
show DefaultView
show DefaultView members
show PersistenceManager
show PersistenceManager members
show DefaultPersistenceManager
show DefaultPersistenceManager members
show PersistenceManagerDefaultView
show PersistenceManagerDefaultView members

@enduml